Bug 544624 - Gdk:ERROR:gdkinput-xfree.c:336:_gdk_input_grab_pointer: assertion failed: (input_window != NULL)
Summary: Gdk:ERROR:gdkinput-xfree.c:336:_gdk_input_grab_pointer: assertion failed: (in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: 12
Hardware: All
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-05 19:16 UTC by Tethys
Modified: 2009-12-14 06:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-14 06:44:31 UTC
Type: ---


Attachments (Terms of Use)

Description Tethys 2009-12-05 19:16:59 UTC
Description of problem:
Inkscape is unusable because it crashes when trying to enter text.
I have some work I need to finish and send off the printers. I'm
regretting upgrading to F12 now...

Version-Release number of selected component (if applicable):
gtk2-2.18.3-22.fc12.i686

How reproducible:
Every time

Steps to Reproduce:
1. Open inkscape
2. Select the text tool
3. Click on the page
  
Actual results:
Crash. Backtrace is:

#0  0x00dca424 in __kernel_vsyscall ()
#1  0x04c57a81 in raise () from /lib/libc.so.6
#2  0x04c5934a in abort () from /lib/libc.so.6
#3  0x00acd49f in g_assertion_message () from /lib/libglib-2.0.so.0
#4  0x00acda3e in g_assertion_message_expr () from /lib/libglib-2.0.so.0
#5  0x00615afa in _gdk_input_grab_pointer (window=<value optimized out>, native_window=<value optimized out>, 
    owner_events=<value optimized out>, event_mask=<value optimized out>, confine_to=<value optimized out>, 
    time=<value optimized out>) at gdkinput-xfree.c:336
#6  0x005ff643 in _gdk_windowing_pointer_grab (window=<value optimized out>, native=<value optimized out>, 
    owner_events=<value optimized out>, event_mask=<value optimized out>, confine_to=<value optimized out>, 
    cursor=<value optimized out>, time=<value optimized out>) at gdkmain-x11.c:201
#7  0x005d97a9 in IA__gdk_pointer_grab (window=<value optimized out>, owner_events=<value optimized out>, 
    event_mask=<value optimized out>, confine_to=<value optimized out>, cursor=<value optimized out>, 
    time=<value optimized out>) at gdkwindow.c:9603
#8  0x08351a25 in sp_canvas_item_grab (item=<value optimized out>, event_mask=1796, 
    cursor=<value optimized out>, etime=<value optimized out>) at display/sp-canvas.cpp:557
#9  0x082d336f in sp_text_context_root_handler (event_context=<value optimized out>, 
    event=<value optimized out>) at text-context.cpp:610
#10 0x082261a2 in sp_event_context_virtual_root_handler (event_context=<value optimized out>, 
    event=<value optimized out>) at event-context.cpp:936
#11 0x08669c68 in sp_desktop_root_handler (event=<value optimized out>, desktop=<value optimized out>)
    at desktop-events.cpp:66
#12 0x083d6138 in sp_marshal_BOOLEAN__POINTER (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>, 
    marshal_data=<value optimized out>) at helper/sp-marshal.cpp:352
#13 0x009375b3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#14 0x0094d118 in ?? () from /lib/libgobject-2.0.so.0
#15 0x0094e308 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#16 0x0040ffa6 in IA__gtk_signal_emit (object=<value optimized out>, signal_id=<value optimized out>)
    at gtksignal.c:360
#17 0x0834f57f in emit_event (canvas=<value optimized out>, event=<value optimized out>)
    at display/sp-canvas.cpp:1336
#18 0x00260ec8 in _gtk_marshal_BOOLEAN__BOXED (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>, 
    marshal_data=<value optimized out>) at gtkmarshalers.c:84
#19 0x00935c0a in ?? () from /lib/libgobject-2.0.so.0
#20 0x009375b3 in g_closure_invoke () from /lib/libgobject-2.0.so.0
#21 0x0094ce0e in ?? () from /lib/libgobject-2.0.so.0
#22 0x0094e308 in g_signal_emit_valist () from /lib/libgobject-2.0.so.0
#23 0x0094e907 in g_signal_emit () from /lib/libgobject-2.0.so.0
#24 0x0039a93e in gtk_widget_event_internal (widget=<value optimized out>, event=0xb528380) at gtkwidget.c:4775
#25 0x00257f90 in IA__gtk_propagate_event (widget=0x99770b0, event=<value optimized out>) at gtkmain.c:2417
#26 0x0025948a in IA__gtk_main_do_event (event=<value optimized out>) at gtkmain.c:1622
#27 0x005f64fb in gdk_event_dispatch (source=<value optimized out>, callback=<value optimized out>, 
    user_data=<value optimized out>) at gdkevents-x11.c:2372
---Type <return> to continue, or q <return> to quit---
#28 0x00aa6118 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#29 0x00aa9a48 in ?? () from /lib/libglib-2.0.so.0
#30 0x00aa9ebf in g_main_loop_run () from /lib/libglib-2.0.so.0
#31 0x00259ac9 in IA__gtk_main () at gtkmain.c:1218
#32 0x06c63d98 in Gtk::Main::run_impl() () from /usr/lib/libgtkmm-2.4.so.1
#33 0x06c63b83 in Gtk::Main::run() () from /usr/lib/libgtkmm-2.4.so.1
#34 0x0821a9a9 in sp_main_gui (argc=1, argv=0xbffff094) at main.cpp:948
#35 0x082f719a in Inkscape::NSApplication::Application::run (this=<value optimized out>)
    at application/application.cpp:114
#36 0x08219e2a in main (argc=<value optimized out>, argv=<value optimized out>) at main.cpp:685

Additional info:
A workaround is to set GTK_IM_MODULE=gtk-im-context-simple

This doesn't seem to be a Fedora specific bug. See, for example:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=548308
https://bugs.launchpad.net/inkscape/+bug/406036

Comment 1 Matthias Clasen 2009-12-08 00:59:52 UTC
Another workaround is to set GDK_NATIVE_WINDOWS=1 when running inkscape

Comment 2 Matthias Clasen 2009-12-14 06:44:31 UTC
This is fixed in gtk2-2.18.5-1.fc12


Note You need to log in before you can comment on or make changes to this bug.